# $Revision: 1.32 $, $Date: 2008-03-13 21:00:25 $
Summary:	Graphics file browser utility
Summary(pl.UTF-8):	Narzędzie do przeglądania plików graficznych
Name:		ksquirrel
Version:	0.7.5
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/ksquirrel/%{name}-%{version}.tar.bz2
# Source0-md5:	3d28b4e2433b79bace59caec492318ca
Patch0:		%{name}-desktop.patch
URL:		http://ksquirrel.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	automake
BuildRequires:	kdebase-devel >= 9:3.3
BuildRequires:	ksquirrel-libs-devel >= %{version}
BuildRequires:	libkexif-devel
BuildRequires:	libkipi-devel
BuildRequires:	pkgconfig
# libqui
BuildRequires:	qt-designer-libs
BuildRequires:	rpmbuild(macros) >= 1.197
Obsoletes:	ksquirrel-common
Obsoletes:	ksquirrel-small
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KSquirrel is an image viewer for KDE with disk navigator, file tree,
thumbnails, extended thumbnails, dynamic format support and tools to
resize, convert, colorize and print images.

%description -l pl.UTF-8
KSquirrel to przeglądarka obrazków dla KDE z nawigacją po dyskach,
drzewku plików, miniaturkach, rozszerzonych miniaturkach i narzędziach
do zmiany wielkości, rozszerzenia, koloru i do drukowania obrazków.

%prep
%setup -q
%patch0 -p1

%build
install /usr/share/automake/config.* admin
%configure \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/kde

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

# move .desktop to proper place
mv -f $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}/kde

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/ksquirrel
%{_datadir}/apps/konqueror/servicemenus/konqksquirrel-dir.desktop
%{_datadir}/apps/ksquirrel
%{_datadir}/config/magic/x-ras.magic
%{_datadir}/config/magic/x-sun.magic
%{_datadir}/config/magic/x-utah.magic
%{_datadir}/mimelnk/image/*.desktop
%{_desktopdir}/kde/ksquirrel.desktop
%{_iconsdir}/hicolor/*/apps/ksquirrel.png
%{_mandir}/man1/ksquirrel.1*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksquirrel.spec,v $
Revision 1.32  2008-03-13 21:00:25  arekm
- rel 2

Revision 1.31  2008-01-26 17:12:31  arvenil
- up to 0.7.5
- removed TODO (Works great! Thanks qbosh!)

Revision 1.30  2008-01-20 10:42:50  qboosh
- reenabled kexif support (requires fixed library), cleanup
- include COPYING in doc, contains just licensing summary (GPL text is in LICENSE file)

Revision 1.29  2007-11-04 10:44:41  rotom
- up to 0.7.3

Revision 1.28  2007/10/16 14:44:50  arvenil
- reenabled .desktop patch

Revision 1.27  2007/10/14 17:09:54  arvenil
- added TODO
- BR: OpenGL-GLU-devel
- BR: qt-designer-libs (see TODO)
- added support for libkipi
- disable support for libkexif (see TODO)
- no more ksquirrel-small (removed subpackages)
- removed empty %doc TODO
- clean
- build but doesnt work for me (see TODO)

Revision 1.26  2007/10/04 15:10:25  shadzik
- 0.7.2

Revision 1.25  2007/04/09 20:52:47  shadzik
- up to 0.7.0-pre2

Revision 1.24  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.22  2007/02/11 22:12:15  qrczak
- Fixed language tag.

Revision 1.21  2006/06/14 03:39:47  shadzik
- up to 0.6.3

Revision 1.20  2006/04/19 17:37:19  blekot
- rel 1

Revision 1.19  2006/04/19 17:30:05  blekot
- updated to 0.6.2
- NFY

Revision 1.18  2006/01/27 11:19:17  ankry
- pl in desktop patch

Revision 1.17  2006/01/25 12:15:02  qboosh
- typo

Revision 1.16  2005/12/28 01:21:35  charles
- updated to 0.6.1
- separated -common and -small packages
- BR: ksquirrel-libs-devel, pkgconfig and again kdebase-devel
- use sources *.desktop and -desktop.patch, removed Source1 (ksquirrel.desktop)

Revision 1.15  2005/12/12 04:16:02  charles
- updated to 0.6.0 final

Revision 1.14  2005/12/02 11:21:25  charles
- proper %files

Revision 1.13  2005/11/10 16:37:13  charles
- updated to 0.6.0-pre9
- updated BRs (in it kdelibs-devel instead of kdebase-devel)
- updated %files

Revision 1.12  2005/06/18 14:09:03  blekot
- BR: perl-base

Revision 1.11  2005/06/17 08:42:49  blekot
- now build
- rel 2 to STBR (mimetypes included in desktop file)

Revision 1.10  2005/06/16 19:00:34  arekm
- use external ksquirrel desktop file

Revision 1.9  2005/06/12 13:11:51  darekr
- BR: sed 4.0, unify

Revision 1.8  2005/06/12 13:05:07  ankry
- tabs

Revision 1.7  2005/06/12 11:53:14  qboosh
- sorted BRs

Revision 1.6  2005/06/12 11:08:51  arekm
- builds on amd64

Revision 1.5  2005/06/12 10:39:02  blekot
- downgrade to full 0.5.0 version
- cosmetics
- rel 1
- STBR (test)

Revision 1.4  2005/06/11 21:09:55  qboosh
- files fix

Revision 1.3  2005/06/11 14:54:53  blekot
- ksquirell.desktop.patch

Revision 1.2  2005/06/11 13:46:59  ankry
- some cleaning

Revision 1.1  2005/06/11 13:37:15  blekot
- new, NFY
- lots to do (see TODO)
